Bug 456273 - Review Request: beansbinding - Beans Binding (JSR 295) reference implementation
Summary: Review Request: beansbinding - Beans Binding (JSR 295) reference implementation
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lillian Angel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 456337
TreeView+ depends on / blocked
 
Reported: 2008-07-22 15:50 UTC by Victor G. Vasilyev
Modified: 2008-08-29 12:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-29 12:07:45 UTC
langel: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Victor G. Vasilyev 2008-07-22 15:50:53 UTC
Spec URL: http://nbi.netbeans.org/files/documents/210/2042/beansbinding.spec
SRPM URL: http://nbi.netbeans.org/files/documents/210/2043/beansbinding-1.2.1-1.fc10.src.rpm
Description: 
In essence, Beans Binding (JSR 295) is about keeping two properties 
(typically of two objects) in sync. An additional emphasis is placed 
on the ability to bind to Swing components, and easy integration with 
IDEs such as NetBeans. This project provides the reference implementation.

This package is required for the NetBeans IDE 6.1

Comment 1 Victor G. Vasilyev 2008-07-31 17:11:05 UTC
This is my first contribution so I need a sponsor please.

Comment 2 Victor G. Vasilyev 2008-08-14 13:07:41 UTC
The next release is prepared for review.
Spec URL: http://www.netbeans.org/files/documents/210/2042/beansbinding.spec
SRPM URL: http://nbi.netbeans.org/files/documents/210/2108/beansbinding-1.2.1-2.fc10.src.rpm

Changes:
- java-devel & jpackage-utils are added as the build requirements
- jpackage-utils is added as the run-time requirement
- Appropriate values of Group Tags are chosen from the official list
- Redundant run-time requirements for /bin/* utilities are removed
- A ghost symlink for javadoc directory is removed
- Documentation added

rpmlint shows no errors and no warnings against both SRPM and RPMs.

Comment 3 Terje Røsten 2008-08-19 19:53:52 UTC
Pedantic:

%install
%{__rm} -fr %{buildroot}

vs

%clean
rm -rf %{buildroot}

Change to
%{__rm} -rf %{buildroot}

Comment 4 Victor G. Vasilyev 2008-08-20 14:56:21 UTC
The third release is prepared for review.
Spec URL: http://nbi.netbeans.org/files/documents/210/2042/beansbinding.spec
SRPM URL: http://nbi.netbeans.org/files/documents/210/2135/beansbinding-1.2.1-3.fc10.src.rpm

Changes:
- Canonical using of %%{__rm}
- The %%{ant} macro is used instead of the ant command
- Redundant export of the $JAVA_HOME environment variable is removed
  in the %%build script

Comment 5 Lillian Angel 2008-08-27 15:47:52 UTC
- No rpmlint errors:

$ rpmlint -i /notnfs/langel/rpm/RPMS/noarch/beansbinding-*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.


Using http://fedoraproject.org/wiki/Packaging/Guidelines to do the review. Those marked with an "X" need attention.

    * 1 Packaging Guidelines
          o 1.1 Naming
		ok
          o 1.2 Legal
                ok
          o 1.3 No inclusion of pre-built binaries or libraries
                none. 
          o 1.4 Writing a package from scratch
		ok
          o 1.5 Modifying an existing package
		n/a
          o 1.6 Filesystem Layout
                ok
          o 1.7 Use rpmlint
                no errors.
          o 1.8 Changelogs
		oke
          o 1.9 Tags
		ok
          o 1.10 BuildRoot tag
               	ok
          o 1.11 Requires
                ok
          o 1.12 BuildRequires
                ok
          o 1.13 Summary and description
		ok
          o 1.14 Encoding
                ok
          o 1.15 Documentation
		ok
          o 1.16 Compiler flags
		ok
          o 1.17 Debuginfo packages
		n/a
          o 1.18 Exclusion of Static Libraries
                n/a
          o 1.19 Duplication of system libraries
		n/a
          o 1.20 Beware of Rpath
                n/a
          o 1.21 Configuration files
		n/a
          o 1.22 Initscripts
		n/a
          o 1.23 Desktop files
                n/a
          o 1.24 Macros
                ok
          o 1.25 Handling Locale Files
                n/a
          o 1.26 Timestamps
		n/a
          o 1.27 Parallel make
		n/a
          o 1.28 Scriptlets requirements
		n/a
          o 1.29 Running scriptlets only in certain situations
		n/a
          o 1.30 Scriplets are only allowed to write in certain directories
		n/a
          o 1.31 Conditional dependencies
		n/a
          o 1.32 Build packages with separate user accounts
		n/a
          o 1.33 Relocatable packages
		n/a
          o 1.34 Code Vs Content
		ok
          o 1.35 File and Directory Ownership
		ok
          o 1.36 Users and Groups
		ok
          o 1.37 Web Applications
		ok
          o 1.38 Conflicts
		ok
          o 1.39 No External Kernel Modules
		n/a
          o 1.40 No Files or Directories under /srv
                n/a
          o 1.41 Application Specific Guidelines
                n/a

Using http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :

MUST Items:

- MUST: rpmlint must be run on every package. The output should be posted in the review.
	done
- MUST: The package must be named according to the Package Naming Guidelines .
	done
- MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines .
	done
- MUST: The package must meet the Packaging Guidelines .
	done
- MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
	done
- MUST: The License field in the package spec file must match the actual license.
	done
- MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
	done
- MUST: The spec file must be written in American English.
	done
- MUST: The spec file for the package MUST be legible.
	done
- MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. 
	done
- MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
	done on i386.
- MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
	done
- MUST: The spec file MUST handle locales properly.
	n/a
- MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
	n/a
- MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
	n/a
- MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. Refer to the Guidelines for examples.
	ok
- MUST: A package must not contain any duplicate files in the %files listing.
	ok
- MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
	ok
- MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ).
	ok
- MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines .
	ok
- MUST: The package must contain code, or permissable content. This is described in detail in the code vs. content section of Packaging Guidelines .
	ok
- MUST: Large documentation files should go in a -doc subpackage. 
	n/a
- MUST: Header files must be in a -devel package.
	n/a
- MUST: Static libraries must be in a -static package.
	n/a
- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
	n/a
- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
	n/a
- MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
	ok
- MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
	ok
- MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. 
	n/a
- MUST: Packages must not own files or directories already owned by other packages. T
	ok
- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For %install for details.
	ok
- MUST: All filenames in rpm packages must be valid UTF-8.
	ok

SHOULD Items:

- SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
	it is there.
- SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
	n/a
- SHOULD: The reviewer should test that the package builds in mock. See MockTricks for details on how to do this.
	done
- SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
	n/a
- SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
	n/a

Comment 6 Lillian Angel 2008-08-27 15:48:20 UTC
No issues.

APPROVED.

Comment 7 Victor G. Vasilyev 2008-08-27 16:38:19 UTC
New Package CVS Request
=======================
Package Name: beansbinding
Short Description: Beans Binding (JSR 295) reference implementation
Owners: victorv
Branches:
InitialCC:

Comment 8 Kevin Fenzi 2008-08-29 04:32:59 UTC
cvs done.

Comment 9 Victor G. Vasilyev 2008-08-29 12:07:45 UTC
Successful koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=793007


Note You need to log in before you can comment on or make changes to this bug.